<?php
/**
 * Created by PhpStorm.
 * MiniUser: Administrator
 * Date: 2018/12/8
 * Time: 21:35
 */

namespace app\admin\controller;

use think\Db;

/**
 * Class Order
 * @title 订单
 * @package app\admin\controller
 */
class Order extends Base
{
    /**
     * @title 订单列表
     * @param int $id
     * @return mixed
     */
    public function index()
    {
        $params = $this->request->param();
        $params['pageSize'] = isset($params['pageSize']) ? $params['pageSize'] : 10;
        $count = db('orders')->count();
        $list = model('Orders')->getOrderViewList($params);
        $data = array(
            'list' => $list,
            'count' => ceil($count/$params['pageSize']),
            'page' => 1,
        );
        if(isset($params['page'])){
            $data['page'] = $params['page'];
        }
        $this->assign($data);
        return $this->fetch('order/index');
    }

    /**
     * 缴费
     *
     * @return \think\response\Json
     */
    public function changePayInfo()
    {
        $data = $this->request->param();
        if ($data['id'] == '' || $data['pay_platform'] == '' || $data['pay_no'] == '' || $data['pay_money'] == '') {
            $this->error();
        }
        if(model('Orders')->checkOrderAndChangeStatus($data)){
            $data['status'] = '已付款';
        }else {
            $data = false;
        };
        return json($data);
    }

    /**
     * 更改订单状态
     *
     * @return \think\response\Json
     */
    public function changeStaus()
    {
        $model = model('Orders');
        $order_sn = $this->request->param('order_sn');
        $old = $model->where('order_sn', $order_sn)->value('status');
        $verify = true;
        switch ($this->request->param('action')) {
            case 'substitute':
                $status = 4;
                $verify = $old == 3;
                $data = '代缴中';
                break;
            case 'component':
                $status = 5;
                $verify = $old == 4;
                $data = '交易完成';
                break;
        }
        if ($verify && $status != '' && model('Orders')->save(['status' => $status], ['order_sn' => $order_sn])) {
            return json($data);
        }
        $this->error();
    }
	public function export()
    {
       	$status = $this->request->param('order_status');
        $start_time = $this->request->param('start_time');
        $end_time = $this->request->param('end_time');
        $where = [];
        if($status && $status != -1){
            $where['status'] = $status;
        }
        if($start_time && $end_time){
            if($start_time > $end_time){
                return $this->error('日期条件有误');
            }
          $where[] = ['Orders.create_timestamp','between',"$start_time,$end_time"];
        }
        $order = ['create_timestamp'=> 'desc'];
		$orders = model('orders')->view('Orders', [
            'id', 'uid', 'order_sn', 'payment', 'service_type', 'status', 'update_timestamp', 'create_timestamp' , 'balance_break'
        ])->view('User', [
            'nickname', 'avatar', 'mobile', 'realname', 'id_card', 'social_type' , 'addr'
        ], 'User.uid = Orders.uid', 'LEFT')->view('OrderInfo', [
            'social_basic', 'fund_basic', 'charge_details', 'service_charge', 'total_charge'
        ], 'Orders.id = OrderInfo.order_id', 'LEFT')->view('PayInfo', [
            'pay_platform', 'pay_no', 'pay_status', 'pay_money'
        ], 'Orders.id = PayInfo.order_id', 'LEFT')->view('CouponReceive', [
            'name', 'type', 'value'
        ], 'CouponReceive.id = PayInfo.coupon', 'LEFT')->view('UserDiscount', [
            'discount_id'
        ], 'Orders.user_discount_id = UserDiscount.discount_id', 'LEFT')->view('Discount', [
            'money'
        ], 'UserDiscount.discount_id = Discount.id', 'LEFT')
            ->where($where)->order($order)->select();
        //dump($orders);die;
        $strTable ='<table width="500" border="1">';
        $strTable .= '<tr>';
        $strTable .= '<td style="text-align:center;font-size:12px;width:120px;">序号</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;width:120px;">姓名</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;width:120px;">身份证号</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;" width="100">人员类别</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;" width="100">养老</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;" width="100">医疗</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;" width="*">失业</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;" width="*">工伤</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;" width="*">生育</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;" width="*">住房公积金</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;" width="*">户籍地</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;" width="*">手机号码</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;" width="*">优惠减免金额</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;" width="*">余额减免金额</td>';
        $strTable .= '<td style="text-align:center;font-size:12px;" width="*">实际支付金额</td>';
        $strTable .= '</tr>';
        foreach ($orders as $key => $value) {
            $type = ['本市城镇','本市农村','外埠城镇','外埠农村'];
            if($value['social_type']==0 || $value['social_type'] == null || $value['social_type'] == ''){
                $value['social_type'] = 1;
            }
            if($value['discount_id'] ==0 || $value['discount_id'] == null){
                $value['money'] = 0;
            }
            $strTable .= '<tr>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['id'].'</td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['realname'].'</td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">"'.$value['id_card'].' </td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$type[$value['social_type']-1].'</td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['charge_details']['social']['pension'][0].' </td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['charge_details']['social']['health'][0].' </td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['charge_details']['social']['unemployment'][0].'</td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['charge_details']['social']['injury'][0].' </td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['charge_details']['social']['birth'][0].' </td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['charge_details']['fund'].'</td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['addr'].'</td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['mobile'].'</td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['money'].'</td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['balance_break'].'</td>';
            $strTable .= '<td style="text-align:center;font-size:12px;">'.$value['pay_money'].'</td>';
            $strTable .= '</tr>';
        }
        downloadExcel($strTable,'order');
        exit();
    }
}
