<?php
/**
 * Created by PhpStorm.
 * MiniUser: EDZ
 * Date: 2018/12/7
 * Time: 19:19
 */

namespace app\api\controller\dev;

use service\sns\SnsService;
use service\snspay\SnsPayService;
use think\facade\Log;

class Notify extends Base
{

    protected $beforeActionList = [
        'logInit' => ['except' => 'sns']
    ];

    /**
     * 第三方授权回调
     */
    public function sns()
    {
        $name = $this->params['platform'];
        $config = config('platform.' . $name);
        $snsInfo = SnsService::$name($config)->userinfo();
        $data = ['username' => 'sns', 'password' => $snsInfo];
        if (isset($this->params['inviter_code']) && $this->params['inviter_code'] != '') {
            $data['inviter_code'] = $this->params['inviter_code'];
        }
        return action('api/dev.index/login', $data);
    }

    /**
     * 支付回调
     * @return string
     * @throws \think\Exception
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\ModelNotFoundException
     * @throws \think\exception\DbException
     * @throws \think\exception\PDOException
     */
    public function weixin()
    {
        $notify_data = $this->xmlToArray(file_get_contents("php://input"));
        file_put_contents('wxnotify.txt',$notify_data);
        if ($notify_data['result_code'] == 'SUCCESS' && $notify_data['return_code'] == 'SUCCESS') {
            $order = model('Orders')->where('order_sn',$notify_data['out_trade_no'])->find();
            $payment_info = model('PayInfo')->where('order_id', $order['id'])->find();
            if (!$payment_info->isEmpty()) {
                $payment_info['pay_no'] = $notify_data['transaction_id'];
                $payment_info['pay_money'] = $result['total_fee'];
                $payment_info['pay_platform'] = 1;
                if (!model('Orders')->checkOrderAndChangeStatus($payment_info)) {
                    return "ERROR";
                }
            }
        }
        return "SUCCESS";
    }


    /**
     * 支付宝回调
     * @return string
     */
    public function alipay()
    {
		$arr=$_POST;
        file_put_contents('notify.txt',var_export($_POST,true));
        $config = config('platform.alipay');
        $alipaySevice = SnsPayService::Alipay($config);
        $result = $alipaySevice->check($arr);
        
        if ($result) {
            $order = model('Orders')->where('order_sn',$result['out_trade_no'])->find();
            $payment_info = model('PayInfo')->where('order_id', $order['id'])->find();
            if (!$payment_info->isEmpty()) {
                $payment_info['pay_no'] = $result['trade_no'];
                $payment_info['pay_money'] = $result['total_amount'];
                $payment_info['pay_platform'] = 2;
                if (!model('Orders')->checkOrderAndChangeStatus($payment_info)) {
                    return "ERROR";
                }
            }
        }
        return "SUCCESS";
    }

    private function xmlToArray($xml)
    {
        //禁止引用外部xml实体
        libxml_disable_entity_loader(true);

        $xmlstring = simplexml_load_string($xml, 'SimpleXMLElement', LIBXML_NOCDATA);

        $val = json_decode(json_encode($xmlstring), true);

        return $val;

    }

    /**
     * 计算两日期之间的天数
     * @param $day1
     * @param $day2
     * @return float
     */
    protected function diffBetweenTwoDays($day1, $day2)
    {
        $second1 = strtotime($day1);
        $second2 = strtotime($day2);

        if ($second1 < $second2) {
            $tmp = $second2;
            $second2 = $second1;
            $second1 = $tmp;
        }
        return ($second1 - $second2) / 86400;
    }

    protected function logInit()
    {
        \think\facade\Log::init(['type' => 'File', 'path' => \think\facade\Env::get('runtime_path') . '/log/notify']);
    }
}
