<?php

namespace app\api\controller\dev;


use think\facade\Log;

class User extends Base
{

    public function index()
    {
        //
    }

    /**
     * 用户信息
     * @return \think\response\Json
     */
    public function baseInfo()
    {
        $uid = $this->params['uid'];
        unset($this->params['uid']);
        Log::record($this->params);
        if (isset($this->params['gender'])){
            $this->params['avatar'] = 'http://api.wercf.com/uploads/avatar_' . $this->params['gender'] . '.png';
        }
        if (!model('User')->allowField(true)->save($this->params, ['uid' => $uid])) {
            $this->data = json_error_exception('10101');
            Log::record($this->data);
        } else if (!$this->params['is_edit']) {
            $jwt = new \service\EncryptService();
            if (isset($this->params['social_type'])) {
                $params = array(
                    'uid' => $uid,
                    'social_type' => $this->params['social_type'],
                    'inviter_code' => $this->params['inviter_code'],
                );
                if (isset($this->params['openid'])) {
                    $params['openid'] = $this->params['openid'];
                }
                $this->data['data'] = array(
                    'social_type' => $this->params['social_type'],
                    'access_token' => $jwt->createToken($params, 3600, 'access_token'),
                    'refresh_token' => $jwt->createToken($params, 86400 * 30, 'refresh_token'),
                    'expire_in' => 60 * 5,
                    're_expire_in' => 86400 * 30,
                    'token_type' => 'Bearer',
                );
            }
            Log::record($this->data);
        }
        return json($this->data);
    }

    /**
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\ModelNotFoundException
     * @throws \think\exception\DbException
     */
    public function userInfo()
    {
        $this->data['data'] = model('User')->field('realname,nickname,avatar,gender,mobile,email,addr,inviter_code,id_card,social_type,balance')->where('uid', $this->params['uid'])->find();
        return json($this->data);
    }

    /**
     * 获取用户邀请列表
     * @return \think\response\Json
     */
    public function getInvitation()
    {
        $this->data['data'] = model('User')->getInvitationList($this->params['uid']);
        return json($this->data);
    }

    /**
     * 社保查询
     */
    public function socialSecurity()
    {

    }

    /**
     * 公积金查询
     */
    public function fund()
    {

    }
    /**
     * 获取用户优惠券列表
     * @return \think\response\Json
     */
    public function getDiscountlist()
    {
        $this->data['data'] = model('User')->getDiscountList($this->params['uid']);
        return json($this->data);
    }

}
