<?php

namespace app\api\controller\pc;

use think\Db;
use think\facade\Log;

class User extends Base
{
    /**
     * 用户信息
     * @return \think\response\Json
     */
    public function baseInfo()
    {
        $uid = $this->params['uid'];
        unset($this->params['uid']);
        Log::record($this->params);
        if (isset($this->params['gender'])){
            $this->params['avatar'] = 'http://api.wercf.com/uploads/avatar_' . $this->params['gender'] . '.png';
        }
        if (!model('User')->allowField(true)->save($this->params, ['uid' => $uid])) {
            $this->data = json_error_exception('10101');
            Log::record($this->data);
        } else if (!$this->params['is_edit']) {
            $jwt = new \service\EncryptService();
            if (isset($this->params['social_type'])) {
                $params = array(
                    'uid' => $uid,
                    'social_type' => $this->params['social_type'],
                    'inviter_code' => $this->params['inviter_code'],
                );
                if (isset($this->params['openid'])) {
                    $params['openid'] = $this->params['openid'];
                }
                $this->data['data'] = array(
                    'social_type' => $this->params['social_type'],
                    'access_token' => $jwt->createToken($params, 3600, 'access_token'),
                    'refresh_token' => $jwt->createToken($params, 86400 * 30, 'refresh_token'),
                    'expire_in' => 60 * 5,
                    're_expire_in' => 86400 * 30,
                    'token_type' => 'Bearer',
                );
            }
            Log::record($this->data);
        }
        return json($this->data);
    }

    /**
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\ModelNotFoundException
     * @throws \think\exception\DbException
     */
    public function userInfo()
    {
        header('Access-Control-Allow-Origin:*');
        $this->data['data'] = model('User')->field('realname,nickname,avatar,gender,mobile,email,addr,inviter_code,id_card,social_type')->where('uid', $this->params['uid'])->find();
        return json($this->data);
    }
    public function setuserInfo()
    {
        header('Access-Control-Allow-Origin:*');
        $uid = $this->params['uid'];
        if(!isset($this->params['uid'])){
            return json(json_error_exception(10101));
        }
        $userinfo = model('User')->field('realname,nickname,avatar,gender,mobile,email,addr,inviter_code,id_card,social_type')->where('uid', $this->params['uid'])->find();
        $array = array();
        if(isset($this->params['realname']) && !empty($this->params['realname']) && $userinfo['realname'] != $this->params['realname']){
            $array['realname'] = $this->params['realname'];
        }
        if(isset($this->params['gender']) && !empty($this->params['gender']) && $userinfo['gender'] != $this->params['gender']){
            $array['gender'] = $this->params['gender'];
        }
        if(isset($this->params['social_type']) && !empty($this->params['social_type']) && $userinfo['social_type'] != $this->params['social_type']){
            $array['social_type'] = $this->params['social_type'];
        }
        if(isset($this->params['id_card']) && !empty($this->params['id_card']) && $userinfo['id_card'] != $this->params['id_card']){
            $array['id_card'] = $this->params['id_card'];
        }
//        if(isset($this->params['']) && !empty($this->params['']) && $userinfo['gender'] != $this->params['gender']){
//            $array['realname'] = $this->params['realname'];
//        }
        if(isset($this->params['email']) && !empty($this->params['email']) && $userinfo['email'] != $this->params['email']){
            $array['email'] = $this->params['email'];
        }
        if(isset($this->params['addr']) && !empty($this->params['addr']) && $userinfo['addr'] != $this->params['addr']){
            $array['addr'] = $this->params['addr'];
        }
        if(empty($array)){
            return json(json_error_exception(201));
        }
        if (!model('User')->allowField(true)->save($array, ['uid' => $uid])) {
            $this->data = json_error_exception('10101');
            Log::record($this->data);
        } else if (!$this->params['is_edit']) {
            $jwt = new \service\EncryptService();
            if (isset($this->params['social_type'])) {
                $params = array(
                    'uid' => $uid,
                    'social_type' => $this->params['social_type'],
                    'inviter_code' => $this->params['inviter_code'],
                );
                $this->data['data'] = array(
                    'social_type' => $this->params['social_type'],
                    'access_token' => $jwt->createToken($params, 3600, 'access_token'),
                    'refresh_token' => $jwt->createToken($params, 86400 * 30, 'refresh_token'),
                    'expire_in' => 60 * 5,
                    're_expire_in' => 86400 * 30,
                    'token_type' => 'Bearer',
                );
            }
            Log::record($this->data);
        }
        return json($this->data);
    }

    /**
     * 获取用户邀请列表
     * @return \think\response\Json
     */
    public function getInvitation()
    {
        header('Access-Control-Allow-Origin:*');
        if(!$this->params['uid'] || !$this->params['page'] || !$this->params['number'] || !$this->params['type']){
            return json(json_error_exception(10101));
        }
        if($this->params['type'] == 1){
            $invitelist = model('User')->getInvitationListpc($this->params['uid'],$this->params['page'],$this->params['number']);
            if(!empty($invitelist)){
                foreach($invitelist as $k => $v){
                    $order = Db::name("orders") -> where("uid=$v[uid] and status>3") -> count();
                    if($order > 0){
                        $invitelist[$k]['is_shop'] = 1;
                    }else{
                        $invitelist[$k]['is_shop'] = 0;
                    }
                }
            }
        }else{
            $invitelist = model('User')->getInvitationListpcchildren($this->params['uid'],$this->params['page'],$this->params['number']);
            dump($invitelist);
            exit;
        }

        $this->data['data'] = $invitelist;
        return json($this->data);
    }

    /**
     * 社保查询
     */
    public function socialSecurity()
    {

    }

    /**
     * 公积金查询
     */
    public function fund()
    {

    }
}
