/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50505
Source Host           : localhost:3306
Source Database       : hippo_social

Target Server Type    : MYSQL
Target Server Version : 50505
File Encoding         : 65001

Date: 2019-04-12 17:48:17
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for hippo_action
-- ----------------------------
DROP TABLE IF EXISTS `hippo_action`;
CREATE TABLE `hippo_action` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户id 0系统管理员',
  `title` char(80) NOT NULL DEFAULT '' COMMENT '行为说明',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '行为描述',
  `create_timestamp` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='系统行为表';

-- ----------------------------
-- Records of hippo_action
-- ----------------------------

-- ----------------------------
-- Table structure for hippo_ad
-- ----------------------------
DROP TABLE IF EXISTS `hippo_ad`;
CREATE TABLE `hippo_ad` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `place_id` int(11) DEFAULT NULL COMMENT '广告位ID',
  `title` varchar(150) DEFAULT NULL COMMENT '广告名称',
  `cover_url` varchar(150) DEFAULT NULL COMMENT '广告图片',
  `photolist` varchar(20) NOT NULL COMMENT '辅助图片',
  `url` varchar(150) DEFAULT NULL COMMENT '广告链接',
  `listurl` varchar(255) DEFAULT NULL COMMENT '辅助链接',
  `background` varchar(150) DEFAULT NULL COMMENT '广告背景',
  `content` text COMMENT '广告描述',
  `sort` int(11) DEFAULT NULL COMMENT '排序 从小到大',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '广告位状态',
  `update_timestamp` datetime DEFAULT NULL COMMENT '更新时间',
  `create_timestamp` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='广告表';

-- ----------------------------
-- Records of hippo_ad
-- ----------------------------

-- ----------------------------
-- Table structure for hippo_article
-- ----------------------------
DROP TABLE IF EXISTS `hippo_article`;
CREATE TABLE `hippo_article` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title` varchar(200) NOT NULL COMMENT '标题',
  `name` varchar(20) NOT NULL DEFAULT '' COMMENT '名臣',
  `description` text COMMENT '内容描述',
  `content` text COMMENT '内容',
  `status` int(2) NOT NULL DEFAULT '1' COMMENT '数据状态',
  `update_timestamp` datetime DEFAULT NULL COMMENT '更新时间',
  `create_timestamp` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='test';

-- ----------------------------
-- Records of hippo_article
-- ----------------------------

-- ----------------------------
-- Table structure for hippo_auth_group
-- ----------------------------
DROP TABLE IF EXISTS `hippo_auth_group`;
CREATE TABLE `hippo_auth_group` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT COMMENT '用户组id,自增主键',
  `module` varchar(20) NOT NULL DEFAULT '' COMMENT '用户组所属模块',
  `type` varchar(10) NOT NULL DEFAULT '' COMMENT '组类型',
  `title` char(20) NOT NULL DEFAULT '' COMMENT '用户组中文名称',
  `description` varchar(80) NOT NULL DEFAULT '' COMMENT '描述信息',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '用户组状态：为1正常，为0禁用,-1为删除',
  `rules` varchar(500) NOT NULL DEFAULT '' COMMENT '用户组拥有的规则id，多个规则 , 隔开',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hippo_auth_group
-- ----------------------------

-- ----------------------------
-- Table structure for hippo_auth_group_access
-- ----------------------------
DROP TABLE IF EXISTS `hippo_auth_group_access`;
CREATE TABLE `hippo_auth_group_access` (
  `uid` int(10) unsigned NOT NULL COMMENT '用户id',
  `group_id` mediumint(8) unsigned NOT NULL COMMENT '用户组id',
  UNIQUE KEY `uid_group_id` (`uid`,`group_id`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY `group_id` (`group_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hippo_auth_group_access
-- ----------------------------

-- ----------------------------
-- Table structure for hippo_auth_rule
-- ----------------------------
DROP TABLE IF EXISTS `hippo_auth_rule`;
CREATE TABLE `hippo_auth_rule` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT COMMENT '规则id,自增主键',
  `module` varchar(20) NOT NULL COMMENT '规则所属module',
  `type` tinyint(2) NOT NULL DEFAULT '1' COMMENT '1-url;2-主菜单',
  `name` char(80) NOT NULL DEFAULT '' COMMENT '规则唯一英文标识',
  `title` char(20) NOT NULL DEFAULT '' COMMENT '规则中文描述',
  `group` char(20) NOT NULL DEFAULT '' COMMENT '权限节点分组',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否有效(0:无效,1:有效)',
  `condition` varchar(300) NOT NULL DEFAULT '' COMMENT '规则附加条件',
  PRIMARY KEY (`id`),
  KEY `module` (`module`,`name`,`status`,`type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hippo_auth_rule
-- ----------------------------

-- ----------------------------
-- Table structure for hippo_config
-- ----------------------------
DROP TABLE IF EXISTS `hippo_config`;
CREATE TABLE `hippo_config` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '配置ID',
  `name` varchar(30) NOT NULL DEFAULT '' COMMENT '配置名称',
  `type` varchar(10) NOT NULL DEFAULT 'text' COMMENT '配置类型',
  `title` varchar(50) NOT NULL DEFAULT '' COMMENT '配置说明',
  `group1` varchar(30) NOT NULL DEFAULT '' COMMENT '配置分组1',
  `group2` varchar(30) NOT NULL DEFAULT '' COMMENT '配置分组2',
  `value` varchar(255) DEFAULT NULL COMMENT '配置值',
  `extra` varchar(255) NOT NULL DEFAULT '' COMMENT '配置值',
  `remark` varchar(100) NOT NULL DEFAULT '' COMMENT '配置说明',
  `update_timestamp` datetime DEFAULT NULL COMMENT '更新时间',
  `create_timestamp` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  KEY `type` (`type`) USING BTREE,
  KEY `group` (`group1`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8 COMMENT='配置详情表';

-- ----------------------------
-- Records of hippo_config
-- ----------------------------
INSERT INTO `hippo_config` VALUES ('1', 'pension', 'text', '养老', 'social', 'farmer', '0.19', '0.08', '企业/个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('2', 'health', 'text', '医疗', 'social', 'farmer', '0.1', '0.02', '企业/个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('3', 'unemployment', 'text', '失业', 'social', 'farmer', '0.008', '0.002', '企业/个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('4', 'injury', 'text', '工伤', 'social', 'farmer', '0.004', '0', '企业/个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('5', 'birth', 'text', '生育', 'social', 'farmer', '0.008', '0', '企业/个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('6', 'largeMedic', 'text', '大额医疗', 'social', 'farmer', '3', '', '个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('7', 'fund', 'text', '公积金', 'fund', 'farmer', '0.12', '0.12', '企业/个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('8', 'monthly', 'text', '月付', 'service', 'farmer', '100', '150', '月付：%d元/月', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('9', 'seasonal', 'text', '季付', 'service', 'farmer', '270', '405', '季付：%d元/季', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('10', 'halfYearly', 'text', '半年付', 'service', 'farmer', '480', '720', '半年付：%d元/半年', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('11', 'yearly', 'text', '年付', 'service', 'farmer', '600', '900', '年付：%d元/年', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('12', 'pension', 'text', '社保', 'basic', 'farmer', '3387', '25401', '缴费基数', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('13', ' health', 'text', '社保', 'basic', 'farmer', '3387', '25401', '缴费基数', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('14', 'unemployment', 'text', '社保', 'basic', 'farmer', '5080', '25401', '缴费基数', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('15', 'injury', 'text', '社保', 'basic', 'farmer', '5080', '25401', '缴费基数', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('16', 'birth', 'text', '社保', 'basic', 'farmer', '5080', '25401', '缴费基数', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('17', 'fund', 'text', '公积金', 'basic', 'farmer', '2273', '25401', '缴费基数', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('18', 'pension', 'text', '养老', 'social', 'town', '0.19', '0.08', '企业/个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('19', 'health', 'text', '医疗', 'social', 'town', '0.1', '0.02', '企业/个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('20', 'unemployment', 'text', '失业', 'social', 'town', '0.008', '0.002', '企业/个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('21', 'injury', 'text', '工伤', 'social', 'town', '0.004', '0', '企业/个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('22', 'birth', 'text', '生育', 'social', 'town', '0.008', '0', '企业/个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('23', 'largeMedic', 'text', '大额医疗', 'social', 'town', '3', '', '个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('24', 'fund', 'text', '公积金', 'fund', 'town', '0.12', '0.12', '企业/个人', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('25', 'monthly', 'text', '月付', 'service', 'town', '100', '150', '月付：%d元/月', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('26', 'seasonal', 'text', '季付', 'service', 'town', '270', '405', '季付：%d元/季', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('27', 'halfYearly', 'text', '半年付', 'service', 'town', '480', '720', '半年付：%d元/半年', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('28', 'yearly', 'text', '年付', 'service', 'town', '600', '900', '年付：%d元/年', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('29', 'pension', 'text', '社保', 'basic', 'town', '3387', '25401', '缴费基数', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('30', 'health', 'text', '社保', 'basic', 'town', '3387', '25401', '缴费基数', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('31', 'unemployment', 'text', '社保', 'basic', 'town', '5080', '25401', '缴费基数', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('32', 'injury', 'text', '社保', 'basic', 'town', '5080', '25401', '缴费基数', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('33', 'birth', 'text', '社保', 'basic', 'town', '5080', '25401', '缴费基数', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('34', 'fund', 'text', '公积金', 'basic', 'town', '2273', '25401', '缴费基数', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('35', 'ohers', 'text', '手续费', 'others', 'farmer', '0', '0', '其他费用', '2019-03-05 19:49:08', '2019-03-05 19:49:04');
INSERT INTO `hippo_config` VALUES ('36', 'ohers', 'text', '手续费', 'others', 'town', '0', '0', '其他费用', '2019-03-05 19:49:08', '2019-03-05 19:49:04');

-- ----------------------------
-- Table structure for hippo_coupon
-- ----------------------------
DROP TABLE IF EXISTS `hippo_coupon`;
CREATE TABLE `hippo_coupon` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '优惠券ID 自增',
  `name` varchar(60) NOT NULL COMMENT '优惠券名称',
  `type` tinyint(2) NOT NULL COMMENT '优惠券类型,1为折扣券,2抵扣券',
  `money` decimal(12,2) unsigned NOT NULL COMMENT '优惠金额,0为全额抵扣',
  `number` int(11) unsigned NOT NULL COMMENT '优惠券发放数量',
  `period` int(11) unsigned NOT NULL COMMENT '优惠券有效时间间隔',
  `status` tinyint(2) NOT NULL COMMENT '状态，0已冻结，1正常使用',
  `remarks` varchar(128) NOT NULL COMMENT '优惠券的使用说明',
  `coupon_start_time` datetime NOT NULL COMMENT '优惠券发放开始时间',
  `coupon_end_time` datetime NOT NULL COMMENT '优惠券发放结束时间',
  `create_timestamp` datetime NOT NULL COMMENT '优惠券创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hippo_coupon
-- ----------------------------
INSERT INTO `hippo_coupon` VALUES ('1', '半价优惠券', '1', '0.50', '100', '0', '1', '前100名半价优惠券，总发放100个，失效自动补充', '1970-01-01 00:00:00', '1970-01-01 00:00:00', '2019-03-06 21:34:36');
INSERT INTO `hippo_coupon` VALUES ('2', '社保服务费抵扣券', '2', '0.00', '0', '30', '1', '按服务费套餐量减一发放', '1970-01-01 00:00:00', '1970-01-01 00:00:00', '2019-03-06 21:36:06');
INSERT INTO `hippo_coupon` VALUES ('3', '社保公积金服务费抵扣券', '2', '0.00', '0', '30', '1', '按服务费套餐量减一发放', '1970-01-01 00:00:00', '1970-01-01 00:00:00', '2019-03-06 21:36:06');

-- ----------------------------
-- Table structure for hippo_coupon_receive
-- ----------------------------
DROP TABLE IF EXISTS `hippo_coupon_receive`;
CREATE TABLE `hippo_coupon_receive` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID自增',
  `uid` int(10) unsigned DEFAULT NULL COMMENT '用户ID',
  `coupon_id` int(10) unsigned DEFAULT NULL COMMENT '优惠券ID',
  `order_id` int(10) unsigned DEFAULT NULL COMMENT '订单Id',
  `coupon_type` tinyint(2) unsigned DEFAULT NULL COMMENT '优惠券类型,1为折扣券,2抵扣券',
  `status` tinyint(2) unsigned DEFAULT '1' COMMENT '状态 0失效  1正常 2锁定 3已使用',
  `end_timestamp` datetime DEFAULT NULL COMMENT '优惠券失效时间',
  `create_timestamp` datetime NOT NULL COMMENT '优惠券创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hippo_coupon_receive
-- ----------------------------
INSERT INTO `hippo_coupon_receive` VALUES ('34', '1', '1', null, '1', '2', '2019-03-06 21:36:06', '2019-03-06 21:36:06');
INSERT INTO `hippo_coupon_receive` VALUES ('35', '1', '2', '21', null, '1', '2019-03-06 21:36:06', '2019-03-06 21:36:06');
INSERT INTO `hippo_coupon_receive` VALUES ('36', '1', '2', '21', null, '1', '2019-03-06 21:36:06', '2019-03-06 21:36:06');
INSERT INTO `hippo_coupon_receive` VALUES ('37', '1', '2', '21', null, '1', '2019-03-06 21:36:06', '2019-03-06 21:36:06');
INSERT INTO `hippo_coupon_receive` VALUES ('38', '1', '1', null, '1', '2', '2019-03-06 21:36:06', '2019-03-06 21:36:06');
INSERT INTO `hippo_coupon_receive` VALUES ('39', '1', '1', null, '1', '2', '2019-03-06 21:36:06', '2019-03-06 21:36:06');

-- ----------------------------
-- Table structure for hippo_invite_relation
-- ----------------------------
DROP TABLE IF EXISTS `hippo_invite_relation`;
CREATE TABLE `hippo_invite_relation` (
  `uid` int(11) NOT NULL COMMENT '用户id',
  `inviter` int(11) NOT NULL COMMENT '邀请人id',
  `status` tinyint(4) NOT NULL COMMENT '邀请状态 1已绑定 2邀请成功 3已发放',
  `update_timestamp` datetime DEFAULT NULL COMMENT '更新时间',
  `create_timestamp` datetime NOT NULL COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hippo_invite_relation
-- ----------------------------
INSERT INTO `hippo_invite_relation` VALUES ('2', '1', '1', null, '2019-04-04 15:11:26');

-- ----------------------------
-- Table structure for hippo_log_login
-- ----------------------------
DROP TABLE IF EXISTS `hippo_log_login`;
CREATE TABLE `hippo_log_login` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `token` varchar(255) NOT NULL,
  `login_type` varchar(255) NOT NULL,
  `login_ip` varchar(15) NOT NULL,
  `create_timestamp` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hippo_log_login
-- ----------------------------

-- ----------------------------
-- Table structure for hippo_menu
-- ----------------------------
DROP TABLE IF EXISTS `hippo_menu`;
CREATE TABLE `hippo_menu` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL DEFAULT '' COMMENT '标题',
  `type` varchar(10) NOT NULL DEFAULT 'admin' COMMENT '菜单类别（admin后台，user会员中心）',
  `icon` varchar(20) NOT NULL DEFAULT '' COMMENT '分类图标',
  `pid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '父级分类ID',
  `sort` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '排序（同级有效）',
  `url` char(255) NOT NULL DEFAULT '' COMMENT '链接地址',
  `hide` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '是否隐藏',
  `group` varchar(50) DEFAULT '' COMMENT '分组',
  `is_dev` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '是否仅开发者模式可见',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 COMMENT='菜单管理';

-- ----------------------------
-- Records of hippo_menu
-- ----------------------------
INSERT INTO `hippo_menu` VALUES ('1', '首页', 'admin', 'home', '0', '0', 'admin/index/index', '0', '导航', '0', '1');
INSERT INTO `hippo_menu` VALUES ('2', '订单', 'admin', 'publice', '0', '1', 'admin/order/index', '0', '导航', '0', '1');
INSERT INTO `hippo_menu` VALUES ('3', '系统设置', 'admin', 'publice', '0', '1', 'admin/order/index', '0', '导航', '0', '1');
INSERT INTO `hippo_menu` VALUES ('4', '管理员', 'admin', 'system', '0', '3', 'admin/user/index', '0', '导航', '0', '0');
INSERT INTO `hippo_menu` VALUES ('5', '应用中心', 'admin', 'mini-list', '1', '0', 'admin/index/index', '0', '首页', '0', '0');
INSERT INTO `hippo_menu` VALUES ('6', '更新缓存', 'admin', 'refresh', '1', '0', 'admin/index/clear', '0', '首页', '0', '0');
INSERT INTO `hippo_menu` VALUES ('11', '用户列表', 'admin', 'user', '4', '0', 'admin/user/index', '0', '系统管理', '0', '0');
INSERT INTO `hippo_menu` VALUES ('12', '用户组表', 'admin', 'users', '4', '0', 'admin/group/index', '0', '系统管理', '0', '0');
INSERT INTO `hippo_menu` VALUES ('13', '菜单列表', 'admin', 'th-list', '4', '0', 'admin/menu/index', '0', '系统管理', '0', '0');
INSERT INTO `hippo_menu` VALUES ('14', '权限列表', 'admin', 'paw', '4', '0', 'admin/group/access', '0', '系统管理', '0', '0');

-- ----------------------------
-- Table structure for hippo_orders
-- ----------------------------
DROP TABLE IF EXISTS `hippo_orders`;
CREATE TABLE `hippo_orders` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `order_sn` char(24) NOT NULL,
  `payment` decimal(10,2) NOT NULL COMMENT '支付金额',
  `service_type` tinyint(1) NOT NULL COMMENT '服务费类型 1月付 2季付 3 半年付 4 年付',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT '订单状态 0 已取消 1 未付款 2 已付款 3 代缴中 4 交易成功 5 交易关闭',
  `pay_timestamp` datetime DEFAULT NULL COMMENT '支付时间',
  `send_timestamp` datetime DEFAULT NULL COMMENT '发货时间',
  `end_timestamp` datetime DEFAULT NULL COMMENT '完成时间',
  `close_timestamp` datetime DEFAULT NULL COMMENT '结束时间',
  `update_timestamp` datetime DEFAULT NULL COMMENT '更新时间',
  `create_timestamp` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hippo_orders
-- ----------------------------
INSERT INTO `hippo_orders` VALUES ('43', '1', '201904081235302513625396', '2303.97', '0', '1', null, null, null, '2019-04-08 13:05:30', '2019-04-08 12:35:30', '2019-04-08 12:35:30');

-- ----------------------------
-- Table structure for hippo_order_info
-- ----------------------------
DROP TABLE IF EXISTS `hippo_order_info`;
CREATE TABLE `hippo_order_info` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `order_sn` char(24) NOT NULL,
  `social_basic` mediumint(8) unsigned DEFAULT NULL COMMENT '社保基数',
  `fund_basic` mediumint(8) unsigned DEFAULT '0' COMMENT '公积金基数',
  `charge_details` text NOT NULL COMMENT '缴费明细',
  `service_charge` decimal(8,2) unsigned NOT NULL COMMENT '服务费',
  `total_charge` decimal(10,2) unsigned NOT NULL COMMENT '总计',
  `update_timestamp` datetime DEFAULT NULL COMMENT '更新时间',
  `create_timestamp` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hippo_order_info
-- ----------------------------
INSERT INTO `hippo_order_info` VALUES ('43', '1', '201904081235302513625396', '3387', '2273', '{\"social\":{\"pension\":[\"914.49\",\"\\u517b\\u8001\"],\"health\":[\"406.44\",\"\\u533b\\u7597\"],\"unemployment\":[\"33.87\",\"\\u5931\\u4e1a\"],\"injury\":[\"13.55\",\"\\u5de5\\u4f24\"],\"birth\":[\"27.10\",\"\\u751f\\u80b2\"],\"largeMedic\":[\"3.00\",\"\\u5927\\u989d\\u533b\\u7597\"]},\"service_type\":\"halfYearly\",\"service\":\"360.00\",\"subtotal\":\"1398.45\",\"fund\":\"545.52\",\"coupon\":0,\"discounts\":true,\"total\":\"2303.97\"}', '905.52', '2303.97', '2019-04-08 12:35:30', '2019-04-08 12:35:30');

-- ----------------------------
-- Table structure for hippo_pay_info
-- ----------------------------
DROP TABLE IF EXISTS `hippo_pay_info`;
CREATE TABLE `hippo_pay_info` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `order_sn` char(24) NOT NULL COMMENT '订单号',
  `coupon` int(11) DEFAULT NULL COMMENT '优惠券id',
  `pay_platform` tinyint(4) NOT NULL COMMENT '支付平台 1 微信 2 支付宝 3 银行卡',
  `pay_no` varchar(255) DEFAULT NULL COMMENT '支付流水号',
  `pay_status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '支付状态 0 未支付 1 已支付 2 已退款',
  `update_timestamp` datetime DEFAULT NULL COMMENT '更新时间',
  `create_timestamp` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hippo_pay_info
-- ----------------------------
INSERT INTO `hippo_pay_info` VALUES ('1', '1', '201903161654266184365196', '37', '0', null, '0', '2019-03-16 16:54:58', '2019-03-16 16:54:58');
INSERT INTO `hippo_pay_info` VALUES ('2', '1', '201903161703463517475896', null, '0', null, '0', '2019-03-16 17:03:49', '2019-03-16 17:03:49');
INSERT INTO `hippo_pay_info` VALUES ('3', '1', '201903161704341623461696', null, '0', null, '0', '2019-03-16 17:04:39', '2019-03-16 17:04:39');
INSERT INTO `hippo_pay_info` VALUES ('4', '1', '201904011915264099690196', null, '0', null, '0', '2019-04-01 19:15:26', '2019-04-01 19:15:26');
INSERT INTO `hippo_pay_info` VALUES ('5', '1', '201904021551264524908696', null, '0', null, '0', '2019-04-02 15:51:26', '2019-04-02 15:51:26');
INSERT INTO `hippo_pay_info` VALUES ('6', '1', '201904021610253985359396', null, '0', null, '0', '2019-04-02 16:10:25', '2019-04-02 16:10:25');
INSERT INTO `hippo_pay_info` VALUES ('7', '1', '201904021707455759668096', null, '0', null, '0', '2019-04-02 17:07:46', '2019-04-02 17:07:46');
INSERT INTO `hippo_pay_info` VALUES ('8', '1', '201904021718468431608696', null, '0', null, '0', '2019-04-02 17:18:46', '2019-04-02 17:18:46');
INSERT INTO `hippo_pay_info` VALUES ('9', '1', '201904021719446599386196', null, '0', null, '0', '2019-04-02 17:19:44', '2019-04-02 17:19:44');
INSERT INTO `hippo_pay_info` VALUES ('10', '1', '201904021720594460293996', null, '0', null, '0', '2019-04-02 17:20:59', '2019-04-02 17:20:59');
INSERT INTO `hippo_pay_info` VALUES ('11', '1', '201904021721391251285196', null, '0', null, '0', '2019-04-02 17:21:40', '2019-04-02 17:21:40');
INSERT INTO `hippo_pay_info` VALUES ('12', '1', '201904021722569129420396', null, '0', null, '0', '2019-04-02 17:22:56', '2019-04-02 17:22:56');
INSERT INTO `hippo_pay_info` VALUES ('13', '1', '201904021723254649103996', null, '0', null, '0', '2019-04-02 17:23:25', '2019-04-02 17:23:25');
INSERT INTO `hippo_pay_info` VALUES ('14', '1', '201904021724332398976496', null, '0', null, '0', '2019-04-02 17:24:33', '2019-04-02 17:24:33');
INSERT INTO `hippo_pay_info` VALUES ('15', '1', '201904021725435247287096', null, '0', null, '0', '2019-04-02 17:25:43', '2019-04-02 17:25:43');
INSERT INTO `hippo_pay_info` VALUES ('16', '1', '201904021726304105217296', null, '0', null, '0', '2019-04-02 17:26:30', '2019-04-02 17:26:30');
INSERT INTO `hippo_pay_info` VALUES ('17', '1', '201904021810235852906696', null, '0', null, '0', '2019-04-02 18:10:23', '2019-04-02 18:10:23');
INSERT INTO `hippo_pay_info` VALUES ('18', '1', '201904021840284695996296', null, '0', null, '0', '2019-04-02 18:40:28', '2019-04-02 18:40:28');
INSERT INTO `hippo_pay_info` VALUES ('19', '1', '201904021851401982204696', null, '0', null, '0', '2019-04-02 18:51:40', '2019-04-02 18:51:40');
INSERT INTO `hippo_pay_info` VALUES ('20', '1', '201904021929043976756096', null, '0', null, '0', '2019-04-02 19:29:04', '2019-04-02 19:29:04');
INSERT INTO `hippo_pay_info` VALUES ('21', '1', '201904022045125099651996', null, '0', null, '0', '2019-04-02 20:45:12', '2019-04-02 20:45:12');
INSERT INTO `hippo_pay_info` VALUES ('22', '1', '201904081227437076735596', null, '0', null, '0', '2019-04-08 12:27:43', '2019-04-08 12:27:43');
INSERT INTO `hippo_pay_info` VALUES ('23', '1', '201904081235302513625396', null, '0', null, '0', '2019-04-08 12:35:30', '2019-04-08 12:35:30');

-- ----------------------------
-- Table structure for hippo_sys_admin
-- ----------------------------
DROP TABLE IF EXISTS `hippo_sys_admin`;
CREATE TABLE `hippo_sys_admin` (
  `sid` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `username` varchar(32) NOT NULL DEFAULT '' COMMENT '用户名',
  `password` varchar(64) NOT NULL DEFAULT '' COMMENT '用户密码',
  `nickname` char(16) NOT NULL DEFAULT '' COMMENT '昵称',
  `avator` varchar(150) NOT NULL DEFAULT '' COMMENT '头像',
  `email` char(100) DEFAULT NULL COMMENT '邮箱地址',
  `mobile` char(20) DEFAULT NULL COMMENT '手机号码',
  `salt` char(8) NOT NULL DEFAULT '' COMMENT '密码盐值',
  `login` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '登录次数',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '账号状态',
  `create_timestamp` datetime NOT NULL COMMENT '注册时间',
  PRIMARY KEY (`sid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='系统用户表';

-- ----------------------------
-- Records of hippo_sys_admin
-- ----------------------------
INSERT INTO `hippo_sys_admin` VALUES ('1', 'admin', 'ae60dccc071c71dc5e9e3b40d7eb3afb', '超级管理员', '/static/images/avatar-1.jpg', '578322713@qq.com', '18535318830', 'Zzayqe', '1', '1', '2018-12-14 19:04:11');

-- ----------------------------
-- Table structure for hippo_sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `hippo_sys_menu`;
CREATE TABLE `hippo_sys_menu` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL DEFAULT '' COMMENT '标题',
  `type` varchar(10) NOT NULL DEFAULT 'admin' COMMENT '菜单类别（admin后台，user会员中心）',
  `icon` varchar(20) NOT NULL DEFAULT '' COMMENT '分类图标',
  `pid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '父级分类ID',
  `sort` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '排序（同级有效）',
  `url` char(255) NOT NULL DEFAULT '' COMMENT '链接地址',
  `hide` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '是否隐藏',
  `group` varchar(50) DEFAULT '' COMMENT '分组',
  `is_dev` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '是否仅开发者模式可见',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='菜单管理';

-- ----------------------------
-- Records of hippo_sys_menu
-- ----------------------------

-- ----------------------------
-- Table structure for hippo_user
-- ----------------------------
DROP TABLE IF EXISTS `hippo_user`;
CREATE TABLE `hippo_user` (
  `uid` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `nickname` varchar(32) CHARACTER SET utf8mb4 DEFAULT NULL,
  `realname` varchar(32) DEFAULT NULL COMMENT '真实姓名',
  `gender` tinyint(4) DEFAULT NULL,
  `avatar` varchar(255) DEFAULT NULL COMMENT '登录凭据',
  `mobile` char(11) DEFAULT NULL COMMENT '手机号',
  `email` varchar(100) DEFAULT NULL,
  `addr` varchar(255) DEFAULT NULL COMMENT '联系地址',
  `free_times` tinyint(4) NOT NULL DEFAULT '0' COMMENT '免费次数，根据服务费付费方式获得',
  `inviter_code` char(6) DEFAULT NULL COMMENT '邀请码',
  `id_card` char(18) DEFAULT NULL COMMENT '身份证号码',
  `credit_card` varchar(24) DEFAULT NULL COMMENT '银行卡号',
  `social_type` tinyint(4) DEFAULT NULL COMMENT '社保户别',
  `social_city` mediumint(8) DEFAULT NULL COMMENT '参保城市',
  `last_social_basic` mediumint(8) DEFAULT NULL COMMENT '上次缴纳社保基数',
  `last_fund_basic` mediumint(8) DEFAULT NULL COMMENT '上次缴纳公积金基数',
  `update_timestamp` datetime DEFAULT NULL COMMENT '更新时间',
  `create_timestamp` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hippo_user
-- ----------------------------
INSERT INTO `hippo_user` VALUES ('1', '赵十四氏', '紫罗兰', '1', 'http://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKUOC0ftZuklEBhfKc90VVlfdOSdy4fF92qtITzhaMQATCjAqRpFbNP8JibD74DkxfNvVMicL1aKcnw/0', '15532154466', '', '', '0', 'PTtbJF', '140321199105278033', null, '0', '0', null, null, '2019-04-04 15:12:28', '2019-03-14 14:25:55');
INSERT INTO `hippo_user` VALUES ('2', 'hm_UaTJRNpH', null, '1', 'http://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKUOC0ftZuklEBhfKc90VVlfdOSdy4fF92qtITzhaMQATCjAqRpFbNP8JibD74DkxfNvVMicL1aKcnw/0', '15512346698', null, null, '0', 'GBZXDd', null, null, null, null, null, null, '2019-03-16 16:30:22', '2019-03-16 16:30:22');

-- ----------------------------
-- Table structure for hippo_user_auths
-- ----------------------------
DROP TABLE IF EXISTS `hippo_user_auths`;
CREATE TABLE `hippo_user_auths` (
  `uid` int(11) unsigned NOT NULL,
  `salt` char(6) NOT NULL COMMENT '密码盐值',
  `identity_type` char(8) NOT NULL COMMENT '登录类型 username,email,phone,weixin,qq,weibo,alipay,facebook,twitter,line,google',
  `identifier` varchar(255) NOT NULL COMMENT '登录凭据',
  `credential` varchar(11) DEFAULT NULL COMMENT '密码凭证'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hippo_user_auths
-- ----------------------------
INSERT INTO `hippo_user_auths` VALUES ('1', 'bhvtMJ', 'weixin', 'obqBt0f4y25Ugt8OVLIfolt9pWy4', '');
INSERT INTO `hippo_user_auths` VALUES ('2', 'qGDRLV', 'mobile', '15512346698', '1234');
